Summary:	A utility for converting amounts from one unit to another
Name:		units
Version:	2.24
Release:	%mkrel 2
License:	GPLv3+
Group:		Sciences/Other
Url:		https://www.gnu.org/software/units/units.html
Source0:	https://ftp.gnu.org/pub/gnu/units/%{name}-%{version}.tar.gz
# do not update currency.units from network during build
Patch1:		0001-units-2.22-no-network.patch
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(requests)
Requires:	python3
Requires:	python3dist(requests)

%description
The units program converts quantities expressed in various scales to
their equivalents in other scales, including linear and non-linear
conversions.

%prep
%autosetup -p1

# Fix shebang
%py3_shebang_fix ./units_cur

%build
# We will revert this change once the upstream adopts the latest C standard
%global optflags %{optflags} -std=gnu17
%configure
%make_build

%install
%make_install

# replace an absolute symlink by a relative symlink
ln -fsv ../../..%{_sharedstatedir}/units/currency.units %{buildroot}%{_datadir}/units

# provide a man page for units_cur as a symlink to units.1
ln -s units.1 %{buildroot}%{_mandir}/man1/units_cur.1

%check
%__make check

%files
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}_cur
%{_datadir}/%{name}/
%{_sharedstatedir}/%{name}/
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}*


%changelog
* Sat May 24 2025 daviddavid <daviddavid> 2.24-2.mga10
+ Revision: 2186169
- fix build with gcc 15 using -std=gnu17

* Wed Jan 08 2025 daviddavid <daviddavid> 2.24-1.mga10
+ Revision: 2136142
- new version: 2.24

* Thu Apr 25 2024 daviddavid <daviddavid> 2.23-1.mga10
+ Revision: 2061039
- new version: 2.23

* Tue Dec 19 2023 papoteur <papoteur> 2.22-3.mga10
+ Revision: 2019268
- fix path to pathfix.py
- Mass Rebuild - Python 3.12

* Mon Jan 02 2023 daviddavid <daviddavid> 2.22-2.mga9
+ Revision: 1929395
- fix dangling link: replace an absolute symlink by a relative symlink
- provide a man page for units_cur as a symlink to units.1
- do not update currency.units from network during build

* Fri Sep 16 2022 wally <wally> 2.22-1.mga9
+ Revision: 1889110
- new version 2.22

* Fri Mar 18 2022 umeabot <umeabot> 2.21-2.mga9
+ Revision: 1798655
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.21-1.mga8
+ Revision: 1647257
- 2.21

* Sun Oct 04 2020 wally <wally> 2.20-1.mga8
+ Revision: 1632159
- new version 2.20

* Wed Feb 19 2020 umeabot <umeabot> 2.19-3.mga8
+ Revision: 1542360
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.19-2.mga8
+ Revision: 1476021
- rebuild for readline

* Wed Jul 03 2019 wally <wally> 2.19-1.mga8
+ Revision: 1417953
- new version 2.19

* Mon Oct 29 2018 wally <wally> 2.18-1.mga7
+ Revision: 1326554
- new version 2.18
- drop unneeded post/preun

* Sat Aug 25 2018 wally <wally> 2.17-1.mga7
+ Revision: 1254448
- new version 2.17

* Thu Nov 02 2017 wally <wally> 2.16-1.mga7
+ Revision: 1175582
- new version 2.16

* Thu Oct 26 2017 wally <wally> 2.15-1.mga7
+ Revision: 1173848
- new version 2.15
- switch to python3 for units_cur

* Tue May 16 2017 luigiwalser <luigiwalser> 2.14-1.mga6
+ Revision: 1102255
- 2.14

* Wed Aug 10 2016 luigiwalser <luigiwalser> 2.13-1.mga6
+ Revision: 1045357
- 2.13

* Fri Feb 12 2016 umeabot <umeabot> 2.12-2.mga6
+ Revision: 959090
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 wally <wally> 2.12-1.mga6
+ Revision: 892055
- new version 2.12
- drop unicode patch

* Sat Dec 13 2014 akien <akien> 2.11-4.mga5
+ Revision: 802897
- Fix description (mga#12301)

* Wed Oct 15 2014 umeabot <umeabot> 2.11-3.mga5
+ Revision: 739805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-2.mga5
+ Revision: 690051
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 wally <wally> 2.11-1.mga5
+ Revision: 617905
- new version 2.11

* Sat Mar 29 2014 wally <wally> 2.10-1.mga5
+ Revision: 609299
- new version 2.10

* Sat Oct 19 2013 umeabot <umeabot> 2.02-2.mga4
+ Revision: 529877
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 2.02-1.mga4
+ Revision: 453910
- new version 2.02

* Mon Jan 14 2013 umeabot <umeabot> 2.01-2.mga3
+ Revision: 385068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 wally <wally> 2.01-1.mga3
+ Revision: 310012
- fix group
- new version 2.01
- drop datafile location patch (fixed upstream)

* Tue Jul 03 2012 wally <wally> 2.00-1.mga3
+ Revision: 267015
- new version 2.00
- drop P0 and rediff P1

* Sat Sep 03 2011 wally <wally> 1.88-1.mga2
+ Revision: 138240
- imported package units

